Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.plugins.binaries.model
[Java] Interface Binary

    org.gradle.api.Buildable
      org.gradle.plugins.binaries.model.Binary
          org.gradle.api.Named

All Superinterfaces:
  Buildable, Named

    public interface Binary
    extends Buildable, Named

Something to be created.

Method Summary
`Project` | `getProject()` Returns the project that this binary is built by.
`DomainObjectSet` | `getSourceSets()`
`CompileSpec` | `getSpec()`

Methods inherited from interface Buildable
getBuildDependencies

Methods inherited from interface Named
getName

Method Detail

### getProject

    @Deprecated
    public Project getProject()

  Returns the project that this binary is built by.
  deprecated:
    No replacement

### getSourceSets

    public DomainObjectSet getSourceSets()

### getSpec

    public CompileSpec getSpec()

Gradle API 1.1-rc-1